org.apache.maven.project.artifact

## Class AttachedArtifact

- java.lang.Object
- - org.apache.maven.artifact.DefaultArtifact
  - - org.apache.maven.project.artifact.AttachedArtifact

- All Implemented Interfaces:
    java.lang.Comparable<Artifact>, Artifact

      public class AttachedArtifact
      extends DefaultArtifact

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.artifact.Artifact

      `LATEST_VERSION, RELEASE_VERSION, SCOPE_COMPILE, SCOPE_IMPORT, SCOPE_PROVIDED, SCOPE_RUNTIME, SCOPE_SYSTEM, SCOPE_TEST, SNAPSHOT_VERSION, VERSION_FILE_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachedArtifact(Artifact parent, java.lang.String type, ArtifactHandler artifactHandler)`
    `AttachedArtifact(Artifact parent, java.lang.String type, java.lang.String classifier, ArtifactHandler artifactHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMetadata(ArtifactMetadata metadata)`
    `java.util.List` | `getAvailableVersions()`
    `java.lang.String` | `getBaseVersion()`
    `java.lang.String` | `getDownloadUrl()`
    `java.util.Collection` | `getMetadataList()`
    `ArtifactRepository` | `getRepository()`
    `java.lang.String` | `getScope()` Get the scope of the artifact.
    `java.lang.String` | `getVersion()`
    `VersionRange` | `getVersionRange()`
    `boolean` | `isRelease()`
    `boolean` | `isSnapshot()`
    `void` | `setArtifactId(java.lang.String artifactId)`
    `void` | `setAvailableVersions(java.util.List availableVersions)`
    `void` | `setBaseVersion(java.lang.String baseVersion)`
    `void` | `setDownloadUrl(java.lang.String downloadUrl)`
    `void` | `setGroupId(java.lang.String groupId)`
    `void` | `setRelease(boolean release)`
    `void` | `setRepository(ArtifactRepository repository)`
    `void` | `setScope(java.lang.String scope)`
    `void` | `setVersion(java.lang.String version)`
    `void` | `setVersionRange(VersionRange range)`

    - ### Methods inherited from class org.apache.maven.artifact.DefaultArtifact

      `compareTo, equals, getArtifactHandler, getArtifactId, getBaseVersionInternal, getClassifier, getDependencyConflictId, getDependencyFilter, getDependencyTrail, getFile, getGroupId, getId, getMetadata, getSelectedVersion, getType, hasClassifier, hashCode, isOptional, isResolved, isSelectedVersionKnown, selectVersion, setArtifactHandler, setBaseVersionInternal, setDependencyFilter, setDependencyTrail, setFile, setOptional, setResolved, setResolvedVersion, toString, updateVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachedArtifact

          public AttachedArtifact(Artifact parent,
                          java.lang.String type,
                          java.lang.String classifier,
                          ArtifactHandler artifactHandler)

    - #### AttachedArtifact

          public AttachedArtifact(Artifact parent,
                          java.lang.String type,
                          ArtifactHandler artifactHandler)

  - ### Method Detail

    - #### setArtifactId

          public void setArtifactId(java.lang.String artifactId)

      Specified by:
        `setArtifactId` in interface `Artifact`
      Overrides:
        `setArtifactId` in class `DefaultArtifact`

    - #### getAvailableVersions

          public java.util.List getAvailableVersions()

      Specified by:
        `getAvailableVersions` in interface `Artifact`
      Overrides:
        `getAvailableVersions` in class `DefaultArtifact`

    - #### setAvailableVersions

          public void setAvailableVersions(java.util.List availableVersions)

      Specified by:
        `setAvailableVersions` in interface `Artifact`
      Overrides:
        `setAvailableVersions` in class `DefaultArtifact`

    - #### getBaseVersion

          public java.lang.String getBaseVersion()

      Specified by:
        `getBaseVersion` in interface `Artifact`
      Overrides:
        `getBaseVersion` in class `DefaultArtifact`

    - #### setBaseVersion

          public void setBaseVersion(java.lang.String baseVersion)

      Specified by:
        `setBaseVersion` in interface `Artifact`
      Overrides:
        `setBaseVersion` in class `DefaultArtifact`

    - #### getDownloadUrl

          public java.lang.String getDownloadUrl()

      Specified by:
        `getDownloadUrl` in interface `Artifact`
      Overrides:
        `getDownloadUrl` in class `DefaultArtifact`

    - #### setDownloadUrl

          public void setDownloadUrl(java.lang.String downloadUrl)

      Specified by:
        `setDownloadUrl` in interface `Artifact`
      Overrides:
        `setDownloadUrl` in class `DefaultArtifact`

    - #### setGroupId

          public void setGroupId(java.lang.String groupId)

      Specified by:
        `setGroupId` in interface `Artifact`
      Overrides:
        `setGroupId` in class `DefaultArtifact`

    - #### getRepository

          public ArtifactRepository getRepository()

      Specified by:
        `getRepository` in interface `Artifact`
      Overrides:
        `getRepository` in class `DefaultArtifact`

    - #### setRepository

          public void setRepository(ArtifactRepository repository)

      Specified by:
        `setRepository` in interface `Artifact`
      Overrides:
        `setRepository` in class `DefaultArtifact`

    - #### getScope

          public java.lang.String getScope()

      Description copied from interface: `Artifact`
      Get the scope of the artifact. If the artifact is a standalone rather than a dependency, it's scope will be `null`. The scope may not be the same as it was declared on the original dependency, as this is the result of combining it with the main project scope.
      Specified by:
        `getScope` in interface `Artifact`
      Overrides:
        `getScope` in class `DefaultArtifact`
      Returns:
        the scope

    - #### setScope

          public void setScope(java.lang.String scope)

      Specified by:
        `setScope` in interface `Artifact`
      Overrides:
        `setScope` in class `DefaultArtifact`

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in interface `Artifact`
      Overrides:
        `getVersion` in class `DefaultArtifact`

    - #### setVersion

          public void setVersion(java.lang.String version)

      Specified by:
        `setVersion` in interface `Artifact`
      Overrides:
        `setVersion` in class `DefaultArtifact`

    - #### getVersionRange

          public VersionRange getVersionRange()

      Specified by:
        `getVersionRange` in interface `Artifact`
      Overrides:
        `getVersionRange` in class `DefaultArtifact`

    - #### setVersionRange

          public void setVersionRange(VersionRange range)

      Specified by:
        `setVersionRange` in interface `Artifact`
      Overrides:
        `setVersionRange` in class `DefaultArtifact`

    - #### isRelease

          public boolean isRelease()

      Specified by:
        `isRelease` in interface `Artifact`
      Overrides:
        `isRelease` in class `DefaultArtifact`

    - #### setRelease

          public void setRelease(boolean release)

      Specified by:
        `setRelease` in interface `Artifact`
      Overrides:
        `setRelease` in class `DefaultArtifact`

    - #### isSnapshot

          public boolean isSnapshot()

      Specified by:
        `isSnapshot` in interface `Artifact`
      Overrides:
        `isSnapshot` in class `DefaultArtifact`

    - #### addMetadata

          public void addMetadata(ArtifactMetadata metadata)

      Specified by:
        `addMetadata` in interface `Artifact`
      Overrides:
        `addMetadata` in class `DefaultArtifact`

    - #### getMetadataList

          public java.util.Collection getMetadataList()

      Specified by:
        `getMetadataList` in interface `Artifact`
      Overrides:
        `getMetadataList` in class `DefaultArtifact`